# digital_ocean_sshkey_info – Gather information about DigitalOcean SSH keys

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about DigitalOcean SSH keys.

- This module replaces the `digital_ocean_sshkey_facts` module.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Notes

Note

- Version 2 of DigitalOcean API is used.

## Examples

    - digital_ocean_sshkey_info:
        oauth_token: "{{ my_do_key }}"
      register: ssh_keys

    - set_fact:
        pubkey: "{{ item.public_key }}"
      loop: "{{ ssh_keys.data|json_query(ssh_pubkey) }}"
      vars:
        ssh_pubkey: "[?name=='ansible_ctrl']"

    - debug:
        msg: "{{ pubkey }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | success and no resource constraint | List of SSH keys on DigitalOcean Sample: [{'id': 512189, 'fingerprint': '3b:16:bf:e4:8b:00:8b:b8:59:8c:a9:d3:f0:19:45:fa', 'public_key': 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAQQDDHr/jh2Jy4yALcK4JyWbVkPRaWmhck3IgCoeOO3z1e2dBowLh64QAM+Qb72pxekALga2oi4GvT+TlWNhzPH4V example', 'name': 'My SSH Public Key'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Patrick Marques (@pmarques)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.